Bug 92947 - Use testRunner instead of layoutTestController in fast/scrolling through fast/xsl tests
Summary: Use testRunner instead of layoutTestController in fast/scrolling through fast...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on: 88210
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 23:21 PDT by Ryosuke Niwa
Modified: 2012-08-03 19:02 PDT (History)
6 users (show)

See Also:


Attachments
Patch (602.99 KB, patch)
2012-08-01 23:28 PDT, Ryosuke Niwa
tkent: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-08-01 23:21:20 PDT
Use testRunner instead of layoutTestController in fast/scrolling through fast/xsl tests
Comment 1 Ryosuke Niwa 2012-08-01 23:28:35 PDT
Created attachment 155980 [details]
Patch
Comment 2 Kent Tamura 2012-08-02 01:33:28 PDT
Comment on attachment 155980 [details]
Patch

looks ok
Comment 3 Ryosuke Niwa 2012-08-03 18:13:31 PDT
Committed r124680: <http://trac.webkit.org/changeset/124680>
Comment 4 Ryosuke Niwa 2012-08-03 18:55:30 PDT
The shell command I've been using thus far (just for the record):
find LayoutTests/fast/xsl LayoutTests/platform/*/fast/xsl -type f -not -wholename '*/.svn/*' -print0 | xargs -0 grep -nHl layoutTestController | xargs sed -i "" -e "s/layoutTestController/testRunner/g"